[SciPy-dev] Scipy not compiling in OS X 10.4

David Cournapeau cournape@gmail....
Wed Nov 26 22:33:36 CST 2008


On Thu, Nov 27, 2008 at 12:36 PM, Jarrod Millman <millman@berkeley.edu> wrote:
> On Wed, Nov 26, 2008 at 9:31 AM, Muhammad Alkarouri
> <malkarouri@yahoo.co.uk> wrote:
>> When I tried to compile scipy I get the same error as in http://projects.scipy.org/pipermail/scipy-dev/2008-November/010352.html
>> I am using Python 2.6 from python.org and OS X 10.4.11. The error is:
>> error: file '/Users/malkarouri/tmp/scipy-0.7.0b1/ARPACK/FWRAPPERS/veclib_cabi_c.c' does not exist
>
> This should be fixed in the trunk.  Could you try checking out the
> trunk and checking whether the problem goes away?

More exactly, you should try wether the generated tarball contain the
needed file, that is, from the trunk:

python setup.py sdist # Generate the source tarball
# Untar the tarball and try building scipy from the tarball, not from the trunk

David


More information about the Scipy-dev mailing list